PETSc version 3.17.4
Fix/Edit manual page

# PCGAMGSetUseSAEstEig

Use eigen estimate from smoothed aggregation for Chebyshev smoother

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetUseSAEstEig(PC pc, PetscBool n)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - number of its

### Options Database Key

| -pc_gamg_use_sa_esteig <true,false> | - use the eigen estimate

### Notes

Smoothed aggregation constructs the smoothed prolongator $P = (I - \omega D^{-1} A) T$ where $T$ is the tentative prolongator and $D$ is the diagonal of $A$. Eigenvalue estimates (based on a few CG or GMRES iterations) are computed to choose $\omega$ so that this is a stable smoothing operation. If Chebyshev with Jacobi (diagonal) preconditioning is used for smoothing, then the eigenvalue estimates can be reused. This option is only used when the smoother uses Jacobi, and should be turned off if a different PCJacobiType is used. It became default in PETSc 3.17.

### See Also

KSPChebyshevSetEigenvalues(), KSPChebyshevEstEigSet()

### Level

advanced

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetUseSAEstEig_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages